package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.SawfSafeSupeMapper;
import com.goldenwater.slaj.acci.domain.SawfSafeSupe;
import com.goldenwater.slaj.acci.service.ISawfSafeSupeService;

/**
 * 安全生产许可证信息 服务层实现
 */
@Service
public class SawfSafeSupeServiceImpl implements ISawfSafeSupeService {

    @Autowired
    private SawfSafeSupeMapper sawfSafeSupeMapper;

    /**
     * 查询安全生产许可证信息
     * @param guid 查询条件
     * @return 安全生产许可证信息
     */
    @Override
    public SawfSafeSupe selectSawfSafeSupeByGuid(String guid) {
        return sawfSafeSupeMapper.selectSawfSafeSupeByGuid(guid);
    }

    /**
     * 查询安全生产许可证信息列表
     * @param sawfSafeSupe 安全生产许可证信息查询条件
     * @return 安全生产许可证信息集合
     */
    @Override
    public List<SawfSafeSupe> selectSawfSafeSupeList(SawfSafeSupe sawfSafeSupe) {
        return sawfSafeSupeMapper.selectSawfSafeSupeList(sawfSafeSupe);
    }

    /**
     * 新增安全生产许可证信息
     * @param sawfSafeSupe 安全生产许可证信息
     * @return 影响行数
     */
    @Override
    public int insertSawfSafeSupe(SawfSafeSupe sawfSafeSupe) {
        return sawfSafeSupeMapper.insertSawfSafeSupe(sawfSafeSupe);
    }

    /**
     * 修改安全生产许可证信息
     * @param sawfSafeSupe 安全生产许可证信息
     * @return 影响行数
     */
    @Override
    public int updateSawfSafeSupe(SawfSafeSupe sawfSafeSupe) {
        return sawfSafeSupeMapper.updateSawfSafeSupe(sawfSafeSupe);
    }

    /**
     * 删除安全生产许可证信息
     * @param guid 安全生产许可证信息主键
     * @return 影响行数
     */
    @Override
    public int deleteSawfSafeSupeByGuid(String guid) {
        return sawfSafeSupeMapper.deleteSawfSafeSupeByGuid(guid);
    }

    /**
     * 批量删除安全生产许可证信息
     * @param guids 安全生产许可证信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteSawfSafeSupeByGuids(String[] guids) {
        return sawfSafeSupeMapper.deleteSawfSafeSupeByGuids(guids);
    }
}
